[Variables]
;these colors determine the color of the floral/filigree image on the right.  They change with the minute and reset every hour.  Totally stolen from kenz0's linear clock.
FadeColorT=50

BRIGHTNESS=99

SATURATION_HOURS=99


[HOURS]
	Measure=Time
	Format=%#H
[MINUTES]
	Measure=Time
	Format=%#M

[B]
	Measure=Calc
	Formula=#BRIGHTNESS#	

[COLOR]
	Measure=Calc
	Formula=TRUNC(360-(360*(MINUTES/60+HOURS))/24)
[H]
	Measure=Calc
	Formula=COLOR

[S_HOURS]
	Measure=Calc
	Formula=#SATURATION_HOURS#
	
[MAX]
	Measure=Calc
	Formula=(0<=B)&&(100>=B)?CEIL((B*0.01)*255):0

[MIN_HOURS]
	Measure=Calc
	Formula=(0<=S_HOURS)&&(100>=S_HOURS)?CEIL(MAX*(1-S_HOURS*0.01)):0
	
[RED_HOURS]
	Measure=Calc
	Formula=CEIL(((0<=H)&&(60>H))||((300<=H)&&(360>=H))?MAX:((60<=H)&&(120>H)?MAX-(H-60)*(MAX-MIN_HOURS)/60:((120<=H)&&(240>H)?MIN_HOURS:((240<=H)&&(300>H)?MIN_HOURS+(H-240)*(MAX-MIN_HOURS)/60:0))))
[GREEN_HOURS]
	Measure=Calc
	Formula=CEIL((0<=H)&&(60>H)?MIN_HOURS+(H-0)*(MAX-MIN_HOURS)/60:((60<=H)&&(180>H)?MAX:((180<=H)&&(240>H)?MAX-(H-180)*(MAX-MIN_HOURS)/60:((240<=H)&&(360>=H)?MIN_HOURS:0))))
[BLUE_HOURS]
	Measure=Calc
	Formula=CEIL((0<=H)&&(120>H)?MIN_HOURS:((120<=H)&&(180>H)?MIN_HOURS+(H-120)*(MAX-MIN_HOURS)/60:((180<=H)&&(300>H)?MAX:((300<=H)&&(360>=H)?MAX-(H-300)*(MAX-MIN_HOURS)/60:0))))

